Bug 1310901 - Review Request: libmodsecurity- A library that loads/interprets rules written in the ModSecurity SecRules
Review Request: libmodsecurity- A library that loads/interprets rules written...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1311288 1485912
  Show dependency treegraph
 
Reported: 2016-02-22 18:10 EST by Athmane Madjoudj
Modified: 2017-09-01 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Athmane Madjoudj 2016-02-22 18:10:58 EST
Spec URL: https://athmane.fedorapeople.org/pkgs/libmodsecurity.spec
SRPM URL: https://athmane.fedorapeople.org/pkgs/libmodsecurity-3.0-0.gitf44143.fc23.src.rpm
Description:
Libmodsecurity is one component of the ModSecurity v3 project.
The library codebase serves as an interface to ModSecurity Connectors 
taking in web traffic and applying traditional ModSecurity processing.
In general, it provides the capability to load/interpret rules written 
in the ModSecurity SecRules format and apply them to HTTP content provided
by your application via Connectors.

Fedora Account System Username: athmane
Comment 1 Athmane Madjoudj 2016-02-22 18:15:46 EST
Notes:

- There's couple of issues with a workaround in the spec that were reported upstream

- Libinjection  is supposed to be bundled (same as with mod_security 2.x): https://github.com/client9/libinjection#embedding
Comment 3 Robert-André Mauchin 2017-09-01 10:53:41 EDT
Hello,

 - Your Release: is missing the dist tag:

Release: 0.%{extra_rel}%{?dist}

 - It is not necessary to add make to the BR.

 - The versioning is wrong, the release tag should start at 0.1 (Cf https://fedoraproject.org/wiki/Package_Versioning_Examples ):

Release: 0.1.%{extra_rel}%{?dist}

  And:

* Wed Aug 30 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 3.0.0-0.1.rc1


 - Koji is not very happy, your package fails on all arches besides i386 and x86_64:

https://koji.fedoraproject.org/koji/taskinfo?taskID=21607088

This package won't be accepted until this is solved. Report bugs upstream/fix the bugs/add ExclusiveArch with valid reasons as to why you need specific arches only.
Comment 4 Athmane Madjoudj 2017-09-01 14:41:37 EDT
Thank you for your input.

Release tag fixed, I'll check the build on non-x86 archs

Regarding make, it does not harm, plus it might be needed with minimal Buildroot [1]

[1] https://pagure.io/packaging-committee/issue/490


SPEC: https://athmane.fedorapeople.org/review/libmodsecurity.spec
SRPM: https://athmane.fedorapeople.org/review/libmodsecurity-3.0.0-0.1.rc1.fc26.src.rpm

Note You need to log in before you can comment on or make changes to this bug.